require libvirt-daemon-driver-interface only when it's actually built
Thierry Parmentelat [Mon, 10 Feb 2014 09:54:30 +0000 (10:54 +0100)]
libvirt.spec

index 4cf97ac..7ecda25 100644 (file)
@@ -449,7 +449,9 @@ Requires: libvirt-daemon-driver-vbox = %{version}-%{release}
 Requires: libvirt-daemon-driver-nwfilter = %{version}-%{release}
         %endif
 
+       %if %{with_interface}
 Requires: libvirt-daemon-driver-interface = %{version}-%{release}
+       %endif
 Requires: libvirt-daemon-driver-secret = %{version}-%{release}
 Requires: libvirt-daemon-driver-storage = %{version}-%{release}
 Requires: libvirt-daemon-driver-network = %{version}-%{release}